package com.itheima;

import java.util.Arrays;
import java.util.Random;

public class JavaBasic04Task4 {
    public static void main(String[] args) {
        // 创建长度为10的数组，存入10个1-20之间的不重复随机数
        int[] originalArray = new int[10];

        //定义一个随机数对象，用来获取随机数
        Random random = new Random();

        // 开启循环，循环10次给数组赋值
        for (int i = 0; i < 10; i++) {
            //定义一个变量接收随机数
            int randomNumber;
            //定义一个变量，判断随机数是否重复
            boolean isDuplicate;

            do {
                //默认是不重复的
                isDuplicate = false;
                //获得随机数
                randomNumber = random.nextInt(20) + 1;

                // 检查是否重复
                for (int j = 0; j < i; j++) {
                    if (originalArray[j] == randomNumber) {
                        isDuplicate = true;
//                        如果重复了，就结束当前循环
                        break;
                    }
                }
                //直到不重复，isDuplicate=false
            } while (isDuplicate);

            //将不重复的随机数，放到数组中
            originalArray[i] = randomNumber;
        }

//        Arrays.toString可以用来打印数组，仅仅是一个工具类
        System.out.println("原始数组：" + Arrays.toString(originalArray));

        // 将原数组中的奇数放在左边，偶数放在右边
        int[] modifiedArray = new int[10];
        int oddIndex = 0;
        int evenIndex = originalArray.length-1;

        for (int num : originalArray) {
            if (num % 2 == 1) {
                //如果是奇数，从左边依次存放
                modifiedArray[oddIndex++] = num;
            } else {
                //如果是偶数，从右边依次存放
                modifiedArray[evenIndex--] = num;
            }
        }

        System.out.println("修改后的数组：" + Arrays.toString(modifiedArray));
    }
}
